Bug 470658 - Printing a PDF document doesn't print images/drawings contained
Printing a PDF document doesn't print images/drawings contained
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: cairo (Show other bugs)
10
All Linux
medium Severity medium
: ---
: ---
Assigned To: Behdad Esfahbod
Fedora Extras Quality Assurance
http://www.adac.de/images/Formular%20...
: EasyFix, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-08 10:15 EST by Nils Philippsen
Modified: 2009-12-18 01:47 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 01:47:18 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
screenshot demonstrating the problem (126.57 KB, image/png)
2008-11-08 10:24 EST, Nils Philippsen
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Launchpad 293883 None None None Never

  None (edit)
Description Nils Philippsen 2008-11-08 10:15:35 EST
Description of problem:
When printing a certain PDF document (http://www.adac.de/images/Formular%20Europaeischer%20Unfallbericht_tcm8-70229.pdf) it would print the text and boxes, but not the drawings in the document.

Version-Release number of selected component (if applicable):
evince-2.24.1-3.fc10.x86_64
poppler-0.8.7-1.fc10.x86_64

How reproducible:
Reproducible.

Steps to Reproduce:
1. Download the document from http://www.adac.de/images/Formular%20Europaeischer%20Unfallbericht_tcm8-70229.pdf
2. Open the document in evince
3. File -> Print -> Print Preview
  
Actual results:
The drawings are displayed in the normal evince window, but not in the print preview, they're not printed as well.

Expected results:
What I see (in the main window) is what I get (on print).

Additional info:
Comment 1 Nils Philippsen 2008-11-08 10:24:32 EST
Created attachment 322947 [details]
screenshot demonstrating the problem

To the left is how the document displays in the main window, to the right is the same part in the print preview. The drawings of a motorcycle, a car and a truck seen in the left window aren't displayed in the right one.
Comment 2 Bug Zapper 2008-11-26 00:02:52 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Dominik Sandjaja 2009-01-12 14:08:42 EST
This may be related to Ubuntu bug 281713: https://bugs.launchpad.net/ubuntu/+source/cairo/+bug/281713

Try installing libcairo from rawhide and check, if the problem persists.
Comment 4 Marc Milgram 2009-01-14 10:06:25 EST
I had the same problem.  I upgraded to the rawhide version of cairo (cairo-1.8.6-1.fc11.x86_64).  Now images display correctly in print preview.
Comment 5 Nicola Soranzo 2009-01-23 06:32:16 EST
Changed the bug component to cairo per comments 3 and 4.
May an updated package be built for Fedora 10? The rawhide version requires the update of a lot of other packages, so testing is difficult.
Comment 6 Nicola Soranzo 2009-02-16 07:02:12 EST
Ping?

Any chance to have an updated package for Fedora 10?

Thanks!
Comment 7 Jonathan Dieter 2009-03-05 04:49:15 EST
+1 on updated package for F10.  I've got teachers at our school trying to print out PDFs, and for the moment, I'm having them open the PDFs in the GIMP, and printing from there, which is obviously not optimal.
Comment 8 uros 2009-06-03 16:28:27 EDT
It seams to me as the same one as described in https://bugs.launchpad.net/ubuntu/+source/evince/+bug/293883

As told there it is cairo bug.

What I would like to ask is:
Is it possible to get this bugfix (comment #4) for the f10 also or it will not happend?
How is it with the compatibility if I copy libcairo from fc11 rawhide bypassing yum?

I need solution, please help.
Comment 9 Bug Zapper 2009-11-18 03:47:56 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Bug Zapper 2009-12-18 01:47:18 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.